{
  "mint_a_dec": 9,
  "mint_b_dec": 6,
  "pool": {
    "discriminator": [
      254,
      204,
      207,
      98,
      25,
      181,
      29,
      67
    ],
    "bump": [
      247
    ],
    "version": 1,
    "token_mint_a": "ALTP6gug9wv5mFtx2tSU1YYZ1NrEc2chDdMPoJA8f8pu",
    "token_mint_b": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "token_vault_a": "4WUezna5cvS7PFUMvWB7Za8eLVCKk5xBNTJVfjkoZrfk",
    "token_vault_b": "D8dcyBTasDm2EdwgUDSipfW5pUqdxjv6Z99iFFUBXmnK",
    "tick_spacing": 4,
    "tick_spacing_seed": [
      4,
      0
    ],
    "fee_rate": 1600,
    "protocol_fee_rate": 1200,
    "unused0": 327682000,
    "liquidity": 0,
    "sqrt_price": 8041119181527979792,
    "tick_current_index": -16608,
    "protocol_fee_owed_a": 9299693,
    "protocol_fee_owed_b": 4256614,
    "fee_growth_global_a": 37943714299447554,
    "fee_growth_global_b": 7687174732784430,
    "orders_total_amount_a": 0,
    "orders_total_amount_b": 10000000,
    "orders_filled_amount_a": 0,
    "orders_filled_amount_b": 0,
    "olp_fee_owed_a": 0,
    "olp_fee_owed_b": 0,
    "ma_sqrt_price": 8041067670943402640,
    "last_swap_timestamp": 1769829814,
    "reserved": [
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0,
      0
    ]
  },
  "tick_arrays": [
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -17600,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -16544,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -17248,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -17952,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -18656,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -115456,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        {
          "Initialized": {
            "liquidity_net": 0,
            "liquidity_gross": 0,
            "fee_growth_outside_a": 0,
            "fee_growth_outside_b": 0,
            "age": 0,
            "open_orders_input": 10000000,
            "part_filled_orders_input": 0,
            "part_filled_orders_remaining_input": 0,
            "fulfilled_a_to_b_orders_input": 0,
            "fulfilled_b_to_a_orders_input": 0
          }
        },
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    },
    {
      "discriminator": [
        85,
        1,
        199,
        2,
        188,
        97,
        101,
        139
      ],
      "start_tick_index": -18304,
      "fusion_pool": "Aih57RRVos7Cw11vkBwtdjbmwLgJsHJ1BDNGX6V2ARnt",
      "ticks": [
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized",
        "Uninitialized"
      ]
    }
  ]
}